<?php
class CA_CSV {
 	
    public static function download($arrays, $filename='export.csv') {
        $string = '';
        $c=0;
        foreach($arrays AS $array) {
            $val_array = array();
            $key_array = array();
            foreach($array AS $key => $val) {
                $key_array[] = $key;
                $val = str_replace('"', '""', $val);
                $val_array[] = "\"$val\"";
            }
            if($c == 0) {
                $string .= implode(",", $key_array)."\n";
            }
            $string .= implode(",", $val_array)."\n";
            $c++;
        }
        CA_FileDownload::download($string, $filename);
    }
 
}



Class CA_FileDownload {
 
    /**
     * Download
     * 
     * Simply pass in the string of data you want to be
     * in the file and then the filename and it will
     * prompt the user to download it. (Just make sure
     * this is called before anything is transferred to the
     * browser.
     *
     * @param string $string
     * @param string $filename
     */
    public static function download($string, $filename) {
        header("Pragma: public");
        header("Expires: 0");
        header("Cache-Control: private");
        header("Content-type: application/octet-stream");
        header("Content-Disposition: attachment; filename=$filename");
        header("Accept-Ranges: bytes");
        echo $string;
        exit;
    }
 
}
?>