<?php 
global $wpdb, $hobo_wp_googlebot_tracker_db_version;
	
	$hobo_wp_googlebot_tracker_data = get_plugin_data(__FILE__);
	$hobo_wp_googlebot_tracker_version = $hobo_wp_googlebot_tracker_data['Version'];
	
    $tableToCreate = $wpdb->prefix."googlebot_tracker_crawl_data";	
	
	$options = array('your_email' => get_option('admin_email'),			  // Count Total on last check
					'enable_email' => '0',								  // Send out an Email on each Bot Crawl
					'results' => '20',									  // Results Shown on the listing 
					'dashwidget' => '1',								  // Dashboard widget
					'dashgraph' => '0',									  // Show a Nice Graph
					'creditlink' => '1',								  // Show some link love
					'version' => $hobo_wp_googlebot_tracker_version,	  // Our Current Version
					'db_version' => $hobo_wp_googlebot_tracker_db_version // Current Database Version
					);
						
	// Add options to Database
	add_option( 'hobo_wp_googlebot_tracker', $options );						// Hook into Wordpress Add our Options 
	
	
	
	// Create the Database table if its not all ready their.
	if($wpdb->get_var("show tables like '".$tableToCreate) != $tableToCreate) {
		$dbquery  = "CREATE TABLE ".$tableToCreate." (";
		$dbquery .= "crawldate DATE NOT NULL,";
		$dbquery .= "crawltime time NOT NULL,";
		$dbquery .= "crawlurl varchar(250) NOT NULL";
		$dbquery .= ") ENGINE=MyISAM DEFAULT CHARSET=utf8;";
		
		// Include the Wordpress upgrade functions to run our Query on teh database
		require_once(ABSPATH . 'wp-admin/upgrade-functions.php');
		dbDelta($dbquery);
	}
?>