<?php	
	global $wpdb, $hobo_wp_googlebot_tracker_version;
	$table = $wpdb->prefix."googlebot_tracker_crawl_data";
	$options = get_option('hobo_wp_googlebot_tracker');
	$hobo_wp_googlebot_tracker_enable_dashboard_graph = $options['dashgraph'];	
	
	$nowdate = date('Y-m-d');
	
	$top5today = $wpdb->get_results("SELECT crawlurl, count(crawlurl) AS COUNTIT 
									FROM $table 
									WHERE crawldate >= SUBDATE( timestamp(now()), INTERVAL 24 HOUR)
									GROUP BY crawlurl ORDER BY count(crawlurl) DESC LIMIT 5;");
	
	
	$top5in7 = $wpdb->get_results("Select crawlurl, crawldate, count(crawlurl) AS COUNTIT 
									FROM $table 
									WHERE crawldate >= SUBDATE( timestamp(now()), INTERVAL 7 DAY)
									GROUP BY crawlurl ORDER BY count(crawlurl) DESC LIMIT 5;");
	
	$top5in30 = $wpdb->get_results("Select crawlurl, crawldate, count(crawlurl) AS COUNTIT 
									FROM $table
									WHERE crawldate >= SUBDATE( timestamp(now()), INTERVAL 30 DAY)
									GROUP BY crawlurl ORDER BY count(crawlurl) DESC LIMIT 5;");
?>
    
<p class="sub"><?php _e('See GoogleBot Visits in Real Time') ?></p>
<div class="table">
     <div id="block">
            <ul class="htabs">
                <li><h2 style="padding-right:2px;"><a class="selected" href="#today">Today</a></h2></li>
                <li><h2 style="padding-right:2px;"><a href="#allday">Last 7 Days</a></h2></li>
                <li><h2 style="padding-right:2px;"><a href="#month">Last 30 Days</a></h2></li>
            </ul>
            
            <div class="tabs">
                <div class="tab bmod" id="today">
				<?php
                // check for results
                if(!empty($top5today)){
                    $i = 1;
                    foreach ($top5today as $Chart_Results) {
                        $results.=$Chart_Results->COUNTIT.",0";
                        $i++;
                    }
                ?>  
          		<?php if( $hobo_wp_googlebot_tracker_enable_dashboard_graph != "0" ){ ?>
   				<img style="border:1px solid #EEEEEE; padding:0px;" align="right" src="http://chart.apis.google.com/chart?chtt=Today&chs=165x150&cht=bvs&chd=t:<?php echo $results; ?>&chxt=y" alt="graph" />
            	<br />
				<?php } //end graph ?>
				<?php }//end if(!empty ?>

                <h5><?php _e('Top 5');?> | <small><?php _e('Listing your top pages over the last 24 hours');?></small></h5>
                  <ul>
                  <?php 
				  
				  //echo "<pre>";
				  //echo print_r($top5today);
				  //echo "</pre>";
				  
				  if(!empty($top5today)){
				  	$i = 1;
					foreach ($top5today as $top5today) {
						echo "<li><span class=\"bullet\">".$i."</span>";
                     	echo "<a href=\"".$top5today->crawlurl."\" target=\"_blank\">".shortText($top5today->crawlurl, 80)."</a>";
                     	echo "<span style=\"float:right; padding-right:5px;\">". $top5today->COUNTIT."</span>";
                   		echo "</li>";
						$i++;
					}
				  }else{
						echo "<li>";
						echo "No Results Today!";
						echo "</li>";
				  }
				  //wp_reset_query();
                  ?>
                </ul>
             </div>
             <!-- /today -->
             
             <div class="tab bmod" id="allday">
             <?php
			 // check for results
			 if(!empty($top5in7)){
			 	$i = 1;
					foreach ($top5in7 as $Chart_Results7) {
						$results7.=$Chart_Results7->COUNTIT.",0";
						$i++;
					}
			 ?>
				 <?php if( $hobo_wp_googlebot_tracker_enable_dashboard_graph != "0" ){ ?>
    <img style="border:1px solid #EEEEEE; padding:0px;" align="right" src="http://chart.apis.google.com/chart?chtt=LastWeek&chs=165x150&cht=bvs&chd=t:<?php echo $results7; ?>&chxt=y" alt="graph" />
                  <br />
                  <?php } //end graph ?>
             
			 <?php }//end if ?>
             
             <h5><?php _e('Last 7 Days');?> | <small><?php _e('Listing your top pages from the last 7 Days...');?></small></h5>
                <ul>
                  <?php 
				 
				  //echo "<pre>";
				  //echo print_r($top5in7);
				  //echo "</pre>";
				  
				  if(!empty($top5in7)){
					  $i = 1;
						foreach ($top5in7 as $top5in7) {
							echo "<li><span class=\"bullet\">".$i."</span>";
							echo "<a href=\"".$top5in7->crawlurl."\" target=\"_blank\">".shortText($top5in7->crawlurl, 80)."</a>";
							echo "<span style=\"float:right; padding-right:5px;\">". $top5in7->COUNTIT."</span>";
							echo "</li>";
							$i++;
						}
					}else {
						echo "<li>";
						echo "No Results To show!";
						echo "</li>";
				  }
				  //wp_reset_query();
				  ?>
                </ul>
              </div>
              <!-- /allday -->
              
              <div class="tab bmod" id="month">
              
              <?php 
			  // check for results
			 if(!empty($top5in30)){
			 	$i = 1;
					foreach ($top5in30 as $Chart_Results30) {
						$results30.=$Chart_Results30->COUNTIT.",0";
						$i++;
					}
			 ?>
             
				 <?php if( $hobo_wp_googlebot_tracker_enable_dashboard_graph != "0" ){ ?>
    <img style="border:1px solid #EEEEEE; padding:0px;" align="right" src="http://chart.apis.google.com/chart?chtt=Last Month&chs=165x150&cht=bvs&chd=t:<?php echo $results30; ?>&chxt=y" alt="graph" />
                  <br />
                  <?php } //end graph ?>
              
              <?php }// end if(!empty ?>
              
              
              <h5><?php _e('Last 30 Days');?> | <small><?php _e('Listing your top pages from the last 30 Days');?></small></h5>
                <ul>
                    <?php 
					if(!empty($top5in30)){ 
					    $i = 1;
						foreach ($top5in30 as $top5in30) {
							echo "<li><span class=\"bullet\">".$i."</span>";
							echo "<a href=\"".$top5in30->crawlurl."\" target=\"_blank\">".shortText($top5in30->crawlurl, 80)."</a>";
							echo "<span style=\"float:right; padding-right:5px;\">". $top5in30->COUNTIT."</span>";
							echo "</li>";
							$i++;
						}
					}else{
						echo "<li>";
						echo "No Results to show!";
						echo "</li>";
				  }
				  //wp_reset_query();
                   ?>
                </ul>
              </div>
              <!-- /month -->
              
        </div>
        <!-- /tabs -->
    </div>
    
    <!-- /block -->
</div>
<!-- /table -->

<div class="versions">
  <p><?php _e('Version'); ?> <strong><?php echo $options['version']; ?></strong></p>
      <div style="width:160px; float:right;">
          <a style="float:none;" class="button rbutton" href="<?php get_option('siteurl');?>/wp-admin/options-general.php?page=hobo-wp-googlebot-tracker/hobo-wp-googlebot-tracker.php">
          More Details
          </a>
      </div>
      
  <p>
  <?php _e('Developed by'); ?> : 
  <a href="http://www.hobo-web.co.uk/martin-gardner.htm" title="More about Marty" target="_blank">Martin Gardner</a> | 
  <a href="http://twitter.com/hobo_web" title="Follow Hobo on Twitter" target="_blank">Follow Hobo</a>
  </p> 
  
  <br class="clear"/>
</div>
<!-- /versions -->
<div class="rssFeed" style="padding:5px;border-top:1px solid #ECECEC;">
    <h2>Latest Hobo News</h2>
    <?php hobo_wp_googlebot_tracker_hobofeed('http://feeds.feedburner.com/co/mOya', 5); ?>
</div>