<?php 

global $wpdb;
	
	$siteurl = get_option('home');
	$sitename = get_option('blogname');
	$table = $wpdb->prefix."googlebot_tracker_crawl_data";
	$totalPagesCrawled = $wpdb->get_var("SELECT count(*) FROM $table");
	$path = WPHGBT_ABSPATH;
	
	// Grab our Options
	$options = get_option('hobo_wp_googlebot_tracker');
	
	$emailit = $options['enable_email'];
	$youremail = $options['your_email'];
	
	$agent	= $_SERVER['HTTP_USER_AGENT'];
	$page	= $_SERVER['REQUEST_URI'];
	$ip		= $_SERVER['REMOTE_ADDR'];
	$host	= gethostbyaddr( $ip );
	
	echo "\n\n<!-- WP GOOGLEBOT TRACKING ENABLED -->\n";
	echo "<!-- YOU'VE BEEN CRAWLED ".$totalPagesCrawled ." TIMES -->\n";
	
	
	if(eregi("googlebot",$agent)){
		
	  if($_SERVER['QUERY_STRING'] != ""){
		  $u = $_SERVER['SERVER_NAME'].$_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'];
		  //echo "\n\n<!-- Querystring -YES- : " . $u . " -->\n\n";
	  } 
	  else{
		  $u = $_SERVER['SERVER_NAME'].$_SERVER['PHP_SELF'];
		  //echo "\n\n<!-- Querystring -NO- : " . $u ."-->\n\n";
	  } 
	  
	  $url = $siteurl.$page;											//echo "URL: ".$url."<br />";
	  $today = date("l, M j\<\s\u\p\>S\<\/\s\u\p\> Y - g:i a"); 		//echo "Today: ".$today."<br />";
	  $hostname = gethostbyaddr($_SERVER['REMOTE_ADDR']);				//echo "Hostname: ".$hostname."<br />";
	   
	  $nowtime = date("H:i:s");											//echo "NowTime: ".$nowtime."<br />";
	  $nowdate = date("Y-m-d");
	  $datetime = date('Y-m-d H:i:s');
	 
	  if($agent) {
		  $results = array('crawldate' => $datetime,
						'crawltime' => $nowtime,
						'crawlurl' => $url
					);
				  
		  $strQuery = "INSERT INTO ".$table." (crawldate, crawltime, crawlurl) VALUES ( %s, %s, %s )";
				  
		  $wpdb->query( $wpdb->prepare( $strQuery, $results['crawldate'], $results['crawltime'], $results['crawlurl'] ) );
		  //testing
		  //echo "<!-- New Record Added -->";
	  }
	  
	  // if email is enabled
	  // email the info
	  if($emailit=="1"){
		  
		  $to = $youremail;
		  $subject = "New GoogleBot Page Crawl on ".$sitename;
		  $message = "YAY! Hobo WP GoogleBot Tracker has detected the presence of the Googlebot!\n\n";
		  $message.= "CrawlDate: ".$data_array['crawldate']."\n";
		  $message.= "CrawlTime: ".$data_array['crawltime']."\n";
		  $message.= "CrawlURL: ".$data_array['crawlurl']."\n";
		  $message.= "UserIP: ".$ip."\n";
		  $message.= "Host: ".$host."\n\n";
		  $message.= "powered by: hobo wp googlebot tracker.\n";
		  $message.= "Visited Hobo recently? http://www.hobo-web.co.uk/seo-blog/";
		  
		  wp_mail($to, $subject, $message);
	  }// email it
	  
	} 
	
	echo "<!-- CREATED BY: Marty G | http://www.hobo-web.co.uk/martin-gardner.htm -->\n\n";
?>