<?php 
global $wpdb;

	$table = $wpdb->prefix."googlebot_tracker_crawl_data";
	$options = get_option('hobo_wp_googlebot_tracker');
	
	$location = get_option('siteurl') . '/wp-admin/options-general.php?page=hobo-wp-googlebot-tracker/hobo-wp-googlebot-tracker.php'; // Form Action URI
	
	$hobo_wp_googlebot_tracker_version = $options['version'];	
	$hobo_wp_googlebot_tracker_emailIt = $options['enable_email'];
	$hobo_wp_googlebot_tracker_yourEmail = $options['your_email'];
	//$hobo_wp_googlebot_tracker_results_shown = $options['results'];
	$hobo_wp_googlebot_tracker_enable_dashboard_widget = $options['dashwidget'];
	$hobo_wp_googlebot_tracker_enable_dashboard_graph = $options['dashgraph'];
	
	if (isset($_POST['action']) && ($_POST['action']=="update") )
	{
		$options['dashwidget'] = trim($_POST['hobo_wp_googlebot_tracker_enable_dashboard_widget']);
		$options['dashgraph'] = trim($_POST['hobo_wp_googlebot_tracker_enable_dashboard_graph']);
		$options['enable_email'] = trim($_POST['hobo_wp_googlebot_tracker_emailIt']);
		$options['your_email'] = trim($_POST['hobo_wp_googlebot_tracker_yourEmail']);
		$options['creditlink'] = trim($_POST['hobo_wp_googlebot_tracker_creditlink']); 
		//$options['results'] = trim($_POST['hobo_wp_googlebot_tracker_results_shown']);
		
		update_option('hobo_wp_googlebot_tracker', $options);
	}
	
	// Clear Cache
	if (isset($_POST['action']) && ($_POST['action']=="clear") )
	{
		$monthTotal = trim($_POST['totalToRemove']);
		
		$sql = "DELETE FROM $table WHERE crawldate < DATE_SUB(CURDATE(), INTERVAL $monthTotal MONTH)";
		$wpdb->query( $sql );
		$totalRemoved = $wpdb->get_var($query);
		
			if($totalRemoved>0) 
			{
				$msg = "Removed: ". $totalRemoved;
			}else{
				$msg = $totalRemoved ." entires Removed";
			}
			
		echo $msg;
	}
	
    if ( $_REQUEST['save'] ) echo '<div id="message" class="updated fade"><p><strong>Settings saved.</strong></p></div>';
	if ( $_REQUEST['clear'] ) echo '<div id=\"message\" class=\"updated fade\"><p><strong>'.$msg.'</strong></p></div>';
	
	// Database queries
	$table = $wpdb->prefix."googlebot_tracker_crawl_data";
	$totalPagesCrawled = $wpdb->get_var("SELECT count(*) FROM $table");
	$top20 = $wpdb->get_results("Select crawlurl, count(crawlurl) AS URL from $table group by crawlurl order by count(crawlurl) desc LIMIT 20");
	$allpages = $wpdb->get_results("SELECT * FROM $table ORDER BY crawldate desc ");
?>
<div class="wrap">
<div id="hobo_googlebot_tracker_icon" class="icon32" style="width:105px !important;background-color:transparent;background-image:url('<?php get_option('home');?>/wp-content/plugins/hobo-wp-googlebot-tracker/img/logo.png');background-position:0 0;background-repeat:no-repeat;"></div>
  <h2>
    <?php _e('Hobo Wp GoogleBot Tracker <small style="font-size:12px;">Ver: ' .WPHGBT_VERSION.'</small>'); ?>
  </h2>
  <div id="block">
     <ul class="htabs">
         <li><h2 style="padding-right:2px;"><a class="selected" href="#top20"><?php _e('Top 20');?></a></h2></li>
         <li><h2 style="padding-right:2px;"><a href="#allpages"><?php _e('All Pages');?></a></h2></li>
         <li><h2 style="padding-right:2px;"><a href="#settings"><?php _e('Options');?></a></h2></li>
         <li><h2 style="padding-right:2px;"><a href="#hoboseo"><?php _e('Hobo SEO');?></a></h2></li>
     </ul>
     <div class="tabs">
		<div class="tab" id="top20">
          <h2><?php _e('Top 20 Crawled Pages');?>
          <a style="float:right;" href="<?php echo WPHGBT_URLPATH;?>hobo-wp-googlebot-tracker-export.php?type=top20" title="Export as CSV">
        <img src="<?php echo WPHGBT_URLPATH;?>img/csv.jpg" width="15" height="16" alt="Export as CSV" border="0" />
        </a>
          </h2>
          <table width="100%" class="widefat">
            <thead>
                <tr>
                  <th width="82%" style="text-align:left;">
				  <?php _e('Crawl URL');?>
                  </th>
                    <th width="18%" style="text-align:center;"><?php _e('Crawl Count');?></th>
                </tr>
            </thead>
            <tfoot>
                <tr>
               	  	<th style="text-align:left;"><?php _e('Crawl URL');?></th>
                    <th style="text-align:center;"><?php _e('Crawl Count');?></th>
                </tr>
            </tfoot>
            <tbody>
               <?php 
			   if(!empty($top20)){
				   
					foreach ($top20 as $top20) {
						echo "<tr>";
                     	echo "<td><a href='".$top20->crawlurl."' target='_blank'>".$top20->crawlurl."</a></td>";
                     	echo "<td style='text-align:center;'>". $top20->URL."</td>";
                   		echo "</tr>";
					}
					
			   }else{
				   	echo "<tr>";
                    echo "<td>No Googlebot results yet..</td>";
                    echo "<td align=\"center\"></td>";
                   	echo "</tr>";
			   }
                    ?>
            </tbody>
          </table>
       </div>
       <!-- /TOP20 -->
             
             
       <!-- TAB ALL PAGES -->   
	   <div class="tab" id="allpages">
   	   <h2 style="float:left; width:300px;">
	   	<?php _e('All Pages Crawled');?> <small><?php _e('Total');?>: <?php echo $totalPagesCrawled; ?></small>
       </h2>
       <div id="filter_results" style="width:400px; float:right; text-align:center;">
       <form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="get">
          Filter by Month: 
    <select name="month" id="theMonth">
    <option <?php if(!isset($_GET['month'])){ echo "selected=\"selected\""; }?> value="00">--Month--</option>
    <option value="01" <?php if(isset($_GET['month']) && ($_GET['month']=="01")){ echo "selected=\"selected\""; }?>>January</option>
    <option value="02" <?php if(isset($_GET['month']) && ($_GET['month']=="02")){ echo "selected=\"selected\""; }?>>February</option>
    <option value="03" <?php if(isset($_GET['month']) && ($_GET['month']=="03")){ echo "selected=\"selected\""; }?>>March</option>
    <option value="04" <?php if(isset($_GET['month']) && ($_GET['month']=="04")){ echo "selected=\"selected\""; }?>>April</option>
    <option value="05" <?php if(isset($_GET['month']) && ($_GET['month']=="05")){ echo "selected=\"selected\""; }?>>May</option>
    <option value="06" <?php if(isset($_GET['month']) && ($_GET['month']=="06")){ echo "selected=\"selected\""; }?>>June</option>
    <option value="07" <?php if(isset($_GET['month']) && ($_GET['month']=="07")){ echo "selected=\"selected\""; }?>>July</option>
    <option value="08" <?php if(isset($_GET['month']) && ($_GET['month']=="08")){ echo "selected=\"selected\""; }?>>August</option>
    <option value="09" <?php if(isset($_GET['month']) && ($_GET['month']=="09")){ echo "selected=\"selected\""; }?>>September</option>
    <option value="10" <?php if(isset($_GET['month']) && ($_GET['month']=="10")){ echo "selected=\"selected\""; }?>>October</option>
    <option value="11" <?php if(isset($_GET['month']) && ($_GET['month']=="11")){ echo "selected=\"selected\""; }?>>November</option>
    <option value="12" <?php if(isset($_GET['month']) && ($_GET['month']=="12")){ echo "selected=\"selected\""; }?>>December</option>
    </select>
    <select name="day" id="theDay">
    <option <?php if(isset($_GET['day']) && ($_GET['day']=="00")){ echo "selected=\"selected\""; }?> value="00">--Day--</option>
    <option value="01" <?php if(isset($_GET['day']) && ($_GET['day']=="01")){ echo "selected=\"selected\""; }?>>01</option>
    <option value="02" <?php if(isset($_GET['day']) && ($_GET['day']=="02")){ echo "selected=\"selected\""; }?>>02</option>
    <option value="03" <?php if(isset($_GET['day']) && ($_GET['day']=="03")){ echo "selected=\"selected\""; }?>>03</option>
    <option value="04" <?php if(isset($_GET['day']) && ($_GET['day']=="04")){ echo "selected=\"selected\""; }?>>04</option>
    <option value="05" <?php if(isset($_GET['day']) && ($_GET['day']=="05")){ echo "selected=\"selected\""; }?>>05</option>
    <option value="06" <?php if(isset($_GET['day']) && ($_GET['day']=="06")){ echo "selected=\"selected\""; }?>>06</option>
    <option value="07" <?php if(isset($_GET['day']) && ($_GET['day']=="07")){ echo "selected=\"selected\""; }?>>07</option>
    <option value="08" <?php if(isset($_GET['day']) && ($_GET['day']=="08")){ echo "selected=\"selected\""; }?>>08</option>
    <option value="09" <?php if(isset($_GET['day']) && ($_GET['day']=="09")){ echo "selected=\"selected\""; }?>>09</option>
    <option value="10" <?php if(isset($_GET['day']) && ($_GET['day']=="10")){ echo "selected=\"selected\""; }?>>10</option>
    <option value="11" <?php if(isset($_GET['day']) && ($_GET['day']=="11")){ echo "selected=\"selected\""; }?>>11</option>
    <option value="12" <?php if(isset($_GET['day']) && ($_GET['day']=="12")){ echo "selected=\"selected\""; }?>>12</option>
    <option value="13" <?php if(isset($_GET['day']) && ($_GET['day']=="13")){ echo "selected=\"selected\""; }?>>13</option>
    <option value="14" <?php if(isset($_GET['day']) && ($_GET['day']=="14")){ echo "selected=\"selected\""; }?>>14</option>
    <option value="15" <?php if(isset($_GET['day']) && ($_GET['day']=="15")){ echo "selected=\"selected\""; }?>>15</option>
    <option value="16" <?php if(isset($_GET['day']) && ($_GET['day']=="16")){ echo "selected=\"selected\""; }?>>16</option>
    <option value="17" <?php if(isset($_GET['day']) && ($_GET['day']=="17")){ echo "selected=\"selected\""; }?>>17</option>
    <option value="18" <?php if(isset($_GET['day']) && ($_GET['day']=="`8")){ echo "selected=\"selected\""; }?>>18</option>
    <option value="19" <?php if(isset($_GET['day']) && ($_GET['day']=="19")){ echo "selected=\"selected\""; }?>>19</option>
    <option value="20" <?php if(isset($_GET['day']) && ($_GET['day']=="20")){ echo "selected=\"selected\""; }?>>20</option>
    <option value="21" <?php if(isset($_GET['day']) && ($_GET['day']=="21")){ echo "selected=\"selected\""; }?>>21</option>
    <option value="22" <?php if(isset($_GET['day']) && ($_GET['day']=="22")){ echo "selected=\"selected\""; }?>>22</option>
    <option value="23" <?php if(isset($_GET['day']) && ($_GET['day']=="23")){ echo "selected=\"selected\""; }?>>23</option>
    <option value="24" <?php if(isset($_GET['day']) && ($_GET['day']=="24")){ echo "selected=\"selected\""; }?>>24</option>
    <option value="25" <?php if(isset($_GET['day']) && ($_GET['day']=="25")){ echo "selected=\"selected\""; }?>>25</option>
    <option value="26" <?php if(isset($_GET['day']) && ($_GET['day']=="26")){ echo "selected=\"selected\""; }?>>26</option>
    <option value="27" <?php if(isset($_GET['day']) && ($_GET['day']=="27")){ echo "selected=\"selected\""; }?>>27</option>
    <option value="28" <?php if(isset($_GET['day']) && ($_GET['day']=="28")){ echo "selected=\"selected\""; }?>>28</option>
    <option value="29" <?php if(isset($_GET['day']) && ($_GET['day']=="29")){ echo "selected=\"selected\""; }?>>29</option>
    <option value="30" <?php if(isset($_GET['day']) && ($_GET['day']=="30")){ echo "selected=\"selected\""; }?>>30</option>
    <option value="31" <?php if(isset($_GET['day']) && ($_GET['day']=="31")){ echo "selected=\"selected\""; }?>>31</option>
    </select>
    <input id="filter" type="submit" value="GO!" />
    </form>
       
       </div>
       <br clear="all" />
       <div id="GBloader" align="center" style="display:none;"><img src="<?php echo WPHGBT_URLPATH;?>img/loading.gif" /></div>
       <div id="theresults">
         <table width="100%" class="widefat">
           <thead>
               <tr>
                   <th width="68%" style="text-align:left;"><?php _e('Crawl Url');?></th>
                   <th width="14%" style="text-align:center;"><?php _e('Crawl Time');?></th>
                   <th width="18%" style="text-align:center;"><?php _e('Crawl Date');?></th>
               </tr>
           </thead>
           <tfoot>
               <tr>
               	   <th style="text-align:left;"><?php _e('Crawl Url');?></th>
                   <th style="text-align:center;"><?php _e('Crawl Time');?></th>
                   <th style="text-align:center;"><?php _e('Crawl Date');?></th>
               </tr>
           </tfoot>
           <tbody>
           <?php //echo "<pre>"; print_r($allpages); echo "</pre>"; ?>
              <?php 
			  if(!empty($allpages)){
					foreach ($allpages as $allpages) {
						echo "<tr>";
                     	echo "<td><a href='".$allpages->crawlurl."' target='_blank'>".$allpages->crawlurl."</a></td>";
                     	echo "<td style='text-align:center;'>".$allpages->crawltime."</td>";
                     	echo "<td style='text-align:center;'>".date('dS M Y', strtotime($allpages->crawldate))."</td>";
                   		echo "</tr>";
					}
			  }else{
				    echo "<tr>";
                    echo "<td>No Googlebot results yet..</td>";
                    echo "<td></td>";
					echo "<td></td>";
                   	echo "</tr>";
			  }
                    ?>
           </tbody>
		 </table>
         </div>
         <!-- TheResults -->
       </div>
       <!-- /TAB ALL PAGES -->
         
         
       <!-- SETTINGS -->
       <div class="tab bmod" id="settings">
       <h2><?php _e('Options');?></h2>
	   <?php $options = get_option('hobo_wp_googlebot_tracker'); ?> 
        <form method="post" action="<?php //echo $location; ?><?php echo $_SERVER['REQUEST_URI']; ?>">
         <?php wp_nonce_field('update-options'); ?>
            <table width="100%" class="widefat">
                <thead>
                  <tr>
                     <th><?php _e('GoogleBot Tracking Options');?></th>
                     <th>&nbsp;</th>
                  </tr>
              </thead>
                <tbody>
                  <tr>
                  	<th width="25%" scope="row"><?php _e('Enable Dashboard Widget?'); ?></th>
                    <td width="75%">
                      <select name="hobo_wp_googlebot_tracker_enable_dashboard_widget">
                       <option value="1" <?php if($options['dashwidget'] == "1") { echo "selected='selected'"; }?>>
					   	<?php _e('Yes');?>
                       </option>
                       <option value="0" <?php if($options['dashwidget'] == "0") { echo "selected='selected'"; }?>>
					   	<?php _e('No');?>
                       </option>
                      </select>
                    </td>
                  </tr>
                  <tr>
                  	<th><?php _e('Show Dashboard Graph?'); ?></th>
                    <td>
                       <select name="hobo_wp_googlebot_tracker_enable_dashboard_graph">
                        <option value="1" <?php if($options['dashgraph'] == "1") { echo "selected='selected'"; }?>>
							<?php _e('Yes');?>
                        </option>
                        <option value="0" <?php if($options['dashgraph'] == "0") { echo "selected='selected'"; }?>>
							<?php _e('No');?>
                        </option>
                       </select> <em><?php _e('Show a graph in your Dashboard widget?') ?></em></td>
                  </tr>
                  <tr>
                    <th width="25%" scope="row"><?php _e('Email it?') ?></th>
                    <td width="75%">
                        <select name="hobo_wp_googlebot_tracker_emailIt">
                          <option value="1" <?php if($options['enable_email'] == "1") { echo "selected='selected'"; }?>>
						  	<?php _e('Yes');?>
                          </option>
                          <option value="0" <?php if($options['enable_email'] == "0") { echo "selected='selected'"; }?>>
						  	<?php _e('No');?>
                          </option>
                        </select>
                        <em>
						<?php _e('If enabled this will email you each time GoogleBot is detected crawling your page & tell you which page.'); ?>
                        </em>
                        <br />
                        <span style="color:red; margin-left:20px;"><em>
						<?php _e('This can be a lot on high traffic sites, so be careful!'); ?></em>
                        </span>
                    </td>
                  </tr>
                  <tr>
                    <th scope="row"><?php _e('Email To') ?></th>
                    <td>
                    <input type="text" name="hobo_wp_googlebot_tracker_yourEmail" id="hobo_wp_googlebot_tracker_yourEmail" value="<?php echo $options['your_email'];?>" size="40" />
                    <em><?php _e('The email address that you want your crawl results to go to.'); ?></em></td>
                  </tr>
                  <!--tr>
                    <th scope="row"><?php //_e('Results to Show') ?></th>
                    <td>
                    <input type="text" name="hobo_wp_googlebot_tracker_results_shown" id="hobo_wp_googlebot_tracker_results_shown" value="<?php //echo $options['results'];?>" size="5" />
                    <em><?php //_e('How many Results to show on results page.'); ?></em>
                    </td>
                  </tr-->
                  <tr>
                    <th scope="row"><?php _e('Credit Love') ?></th>
                    <td>
                    <select name="hobo_wp_googlebot_tracker_creditlink">
                      <option value="1" <?php if($options['creditlink'] == "1") { echo "selected='selected'"; }?>>
					  <?php _e('Yes');?>
                      </option>
                      <option value="0" <?php if($options['creditlink'] == "0") { echo "selected='selected'"; }?>>
					  <?php _e('No');?>
                      </option>
                    </select> <em><?php _e('Show a link in your footer'); ?></em>
                    </td>
                  </tr>
                  <tr>
                    <td colspan="2" scope="row">
                      <input name="save" type="submit" class="button-primary" value="<?php _e('Save Changes'); ?>" />
                      <input type="hidden" name="action" value="update" />
                    </td>
                  </tr>
              </tbody>
          </table>
		 </form>
               
                
                 
                <br />
 
            <!-- 
            Export CSV
            -->
            <h2><?php _e('Export');?></h2>
  			<table width="100%" class="widefat">
              <thead>
                <tr>
                   <th><?php _e('Export Results To CSV'); ?></th>
                </tr>
              </thead>
               <tbody>
               	<tr>
                	<th><?php _e('Export All Results to CSV?');?></th>
                </tr>
                <tr>
                	<th>
                    <form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
                    <input type="submit" class="button-primary" value="<?php _e('Export Results');?>" />
                    <input type="hidden" name="action" value="export"/>
                    </form>
                  </th>
                </tr>
               </tbody>
            </table>
                 
               
               <br />
  
		 	<!-- 
            Clear Cache
            -->
         	<h2><?php _e('Clear Cache');?></h2>
               <table width="100%" class="widefat">
                <thead>
                  <tr>
                     <th><?php _e('Clear Current Cache'); ?></th>
                  </tr>
                 </thead>
         		<tbody>
                  <tr>
                    <th width="12%" >
                    <form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
                    <legend><strong><?php _e('Clear Cache'); ?></strong></legend>
                    <strong><?php _e('Total Entires:'); ?></strong> <?php echo $totalPagesCrawled; ?>
                 	<br />
                    <?php _e('Remove Entries older than '); ?>
                    <select name="totalToRemove">
                    	<?php  
						for($i=1; $i < 13; $i++){
							echo "<option value='$i'>$i</option> ";
						}
						?>
                    </select>
					<?php _e('Month/s ?'); ?>
					<br />
                    <br />
                    <input name="clearcache" type="submit" class="button-primary" value="<?php _e('Clear Cache'); ?>" />
                    <input type="hidden" name="action" value="clear" />
                 </form>
             	</th>
               </tr>
               </tbody>
              </table>
              
              <!-- Clear Cache -->
				<style>
				.versions {padding:6px 10px 12px 35px;background:url('<?php echo WPHGBT_URLPATH; ?>/google.png') 10px 22% no-repeat;}
				</style>
       </div>
           <!-- / TAB SETTINGS -->
           
           
           <!-- TAB HOBO-SEO -->
           <div class="tab" id="hoboseo">
           <h2><?php _e('Latest Hobo News');?></h2>
           <table width="100%" class="widefat">
            <thead>
                <tr>
                  <th width="82%" style="text-align:left;"><?php _e('Latest SEO Tips from our Blog');?></th>
                </tr>
            </thead>
            <tfoot>
                <tr>
               	  	<th style="text-align:left;"><?php _e('Latest SEO Tips from our Blog');?> | 
                    <a href="http://www.hobo-web.co.uk/seo-blog/" target="_blank" title="Read more on our Blog">
                    <?php _e('Hobo SEO Blog');?>
                    </a>
                    </th>
                </tr>
            </tfoot>
            <tbody>
               <tr>
               <td>
               <?php hobo_wp_googlebot_tracker_hobofeed('http://feeds.feedburner.com/co/mOya', 10);?>
               </td>
               </tr>
            </tbody>
          </table>
           </div>
           <!-- /TAB HOBO-SEO -->
           
           
        </div>
        <!-- /tabs -->
    </div>
    <!-- /block -->
    
    
    <!-- CREDITS -->
    <table class="widefat" width="100%" summary="Credits">
             <tr>
               <th width="12%">
               <a href="http://www.hobo-web.co.uk/seo-blog/" title="<?php _e('Visited Hobo Recently');?>?">
               <img style="border:1px solid #828058;" src="<?php echo WPHGBT_URLPATH;?>img/logo.png" align="right" alt="Visit Hobo-web.co.uk" />
               </a>
               <small>
					<?php _e('Developed by: Martin Gardner - Hobo-web.co.uk'); ?><br />
              		<?php _e('Current Version:') ?> <?php echo WPHGBT_VERSION; ?>
	       		</small> 
               </th>
             </tr>
          </table>
    	<!-- CREDITS -->
    
</div>
<!-- WRAP -->